Subject: Re: bug#46151: 28.0.50; Set revert-buffer-function in shell command output buffers

From: Tomas Nordin <[email-masked]>
Date: Sun, 31 Jan 2021 11:48:05 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Kévin Le Gouguec <[email-masked]> writes:
>
>> (info "(elisp) Key Binding Conventions") says C-c [^[:alpha:]] is
>> reserved for major modes (paraphrasing).  IIUC this binding for
>> revert-buffer would be global, so the C-x map would make more sense?  I
>> think?
>>
>> C-x g would make the most sense under that assumption; unfortunately
>> magit-status has been using that for years now…
>
> Oh, yeah, I was thinking of `C-x C-r' and not `C-c C-r', but that's
> unfortunately taken.
>
> Hm...  the `C-x' map is pretty heavily populated.  Let's see what's
> free...
>
> C-x C-a
> C-x C-y
>
> Wow, those are the only `C-x C-<something>' not bound of the
> alphabetical keys.  Neither seem extremely mnemonic for "revert"...
>
> Perhaps `C-x C-a' for "aaargh, reload that file already!"

Am I confused or did this discussion drift away from something specific
to shell command output buffers to something global always?

What was wrong with C-c C-r ? Maybe that existing binding in shell mode
('comint-show-output')? But if this new binding could be restricted to
those output buffers it might be ok? I mean, in those buffers it seems
to me that 'comint-show-output' (C-c C-r) do the same as
'beginning-of-buffer' (M-<).

--
Tomas